Subject: Re: [RFC][PATCH] Print the usage string on stdout instead of stderr.

From: Michael J Gruber <[email-masked]>
Date: Mon, 17 May 2010 15:30:40 +0200

Miles Bader venit, vidit, dixit 17.05.2010 14:07:
> Michael J Gruber <[email-masked]> writes:
>> Now, usage messages are displayed on specific request (-h) as well as
>> when a command is used with wrong arguments. So the classification
>> depends on the use case! But I reckon that even with '-h', usage strings
>> are not exactly "regular output", so stderr looks more natural to me.
> 
> Usage info specifically requested by the user is not error output, it is
> the output of the command.  It should be output to stdout, not stderr.

Well sure it is, just as I wrote. So do you suggest that the file handle
should depend on the use case? Care to implement?

> [Note that for GNU progs, this behavior is explicitly required by the
> GNU coding standards, and I think it's a pretty reasonable rule.]

Fortunately, Git is not GNU software.

Michael